# Google Data APIs Client Library (1.43.0)

## com.google.gdata.client.books
Class VolumeQuery

    java.lang.Object
      com.google.gdata.client.Query
          com.google.gdata.client.books.VolumeQuery

    public class VolumeQuery

extends Query

Describes a query for the feed of information about one volume.

Nested Class Summary
`static class` `VolumeQuery.MinViewability` Min-viewability.

Nested classes/interfaces inherited from class com.google.gdata.client.Query
`Query.CategoryFilter, Query.CustomParameter, Query.ResultFormat`

Field Summary

Fields inherited from class com.google.gdata.client.Query
`UNDEFINED`

Constructor Summary
`VolumeQuery(java.net.URL feedUrl)` Constructs a new query object that targets a feed.

Method Summary
`java.lang.String` `getEbook()` Returns the ebook.
`VolumeQuery.MinViewability` `getMinViewability()` Returns the min-viewability.
`void` `setEbook(java.lang.String ebook)` Sets the ebook.
`void` `setMinViewability(VolumeQuery.MinViewability minViewability)` Sets the min-viewability.

Methods inherited from class com.google.gdata.client.Query

`addCategoryFilter, addCustomParameter, appendQueryParameter, getAuthor, getCategoryFilters, getCustomParameters, getCustomParameters, getFeedUrl, getFields, getFullTextQuery, getIntegerCustomParameter, getMaxResults, getPublishedMax, getPublishedMin, getQueryUri, getResultFormat, getStartIndex, getStringCustomParameter, getUpdatedMax, getUpdatedMin, getUrl, isStrict, isValidState, setAuthor, setFields, setFullTextQuery, setIntegerCustomParameter, setMaxResults, setPublishedMax, setPublishedMin, setResultFormat, setStartIndex, setStrict, setStringCustomParameter, setUpdatedMax, setUpdatedMin`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### VolumeQuery

    public VolumeQuery(java.net.URL feedUrl)

  Constructs a new query object that targets a feed. The initial state of the query contains no parameters, meaning all entries in the feed would be returned if the query was executed immediately after construction.

  Parameters:
    `feedUrl` - the URL of the feed against which queries will be executed.

Method Detail

### getEbook

    public java.lang.String getEbook()

  Returns the ebook.

  Returns:
    ebook or `null` to indicate that the parameter is not set.

### setEbook

    public void setEbook(java.lang.String ebook)

  Sets the ebook.

  Parameters:
    `ebook` - ebook or `null` to remove this parameter if set.

### getMinViewability

    public VolumeQuery.MinViewability getMinViewability()

  Returns the min-viewability.

  Returns:
    min-viewability.

### setMinViewability

    public void setMinViewability(VolumeQuery.MinViewability minViewability)

  Sets the min-viewability.

  Parameters:
    `minViewability` - min-viewability or `null` to reset this parameter to default value `VolumeQuery.MinViewability.NONE`.